org.aspectj.runtime.reflect

## Class Factory

- java.lang.Object
- - org.aspectj.runtime.reflect.Factory

    public final class Factory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Factory(String filename, Class lexicalClass)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`JoinPoint.EnclosingStaticPart` `makeAdviceESJP(String kind, int modifiers, String name, Class declaringType, Class[] parameterTypes, String[] parameterNames, Class[] exceptionTypes, Class returnType, int line)`
`AdviceSignature` `makeAdviceSig(int modifiers, String name, Class declaringType, Class[] parameterTypes, String[] parameterNames, Class[] exceptionTypes, Class returnType)`
`AdviceSignature` `makeAdviceSig(String stringRep)`
`AdviceSignature` `makeAdviceSig(String modifiers, String name, String declaringType, String paramTypes, String paramNames, String exceptionTypes, String returnType)`
`JoinPoint.StaticPart` `makeAdviceSJP(String kind, int modifiers, String name, Class declaringType, Class[] parameterTypes, String[] parameterNames, Class[] exceptionTypes, Class returnType, int line)`
`JoinPoint.EnclosingStaticPart` `makeCatchClauseESJP(String kind, Class declaringType, Class parameterType, String parameterName, int line)`
`CatchClauseSignature` `makeCatchClauseSig(Class declaringType, Class parameterType, String parameterName)`
`CatchClauseSignature` `makeCatchClauseSig(String stringRep)`
`CatchClauseSignature` `makeCatchClauseSig(String declaringType, String parameterType, String parameterName)`
`JoinPoint.StaticPart` `makeCatchClauseSJP(String kind, Class declaringType, Class parameterType, String parameterName, int line)`
`JoinPoint.EnclosingStaticPart` `makeConstructorESJP(String kind, int modifiers, Class declaringType, Class[] parameterTypes, String[] parameterNames, Class[] exceptionTypes, int line)`
`ConstructorSignature` `makeConstructorSig(int modifiers, Class declaringType, Class[] parameterTypes, String[] parameterNames, Class[] exceptionTypes)`
`ConstructorSignature` `makeConstructorSig(String stringRep)`
`ConstructorSignature` `makeConstructorSig(String modifiers, String declaringType, String paramTypes, String paramNames, String exceptionTypes)`
`JoinPoint.StaticPart` `makeConstructorSJP(String kind, int modifiers, Class declaringType, Class[] parameterTypes, String[] parameterNames, Class[] exceptionTypes, int line)`
`static JoinPoint.StaticPart` `makeEncSJP(Member member)`
`JoinPoint.EnclosingStaticPart` `makeESJP(String kind, Signature sig, int l)`
`JoinPoint.EnclosingStaticPart` `makeESJP(String kind, Signature sig, int l, int c)`
`JoinPoint.EnclosingStaticPart` `makeESJP(String kind, Signature sig, SourceLocation loc)`
`JoinPoint.EnclosingStaticPart` `makeFieldESJP(String kind, int modifiers, String name, Class declaringType, Class fieldType, int line)`
`FieldSignature` `makeFieldSig(int modifiers, String name, Class declaringType, Class fieldType)`
`FieldSignature` `makeFieldSig(String stringRep)`
`FieldSignature` `makeFieldSig(String modifiers, String name, String declaringType, String fieldType)`
`JoinPoint.StaticPart` `makeFieldSJP(String kind, int modifiers, String name, Class declaringType, Class fieldType, int line)`
`JoinPoint.EnclosingStaticPart` `makeInitializerESJP(String kind, int modifiers, Class declaringType, int line)`
`InitializerSignature` `makeInitializerSig(int modifiers, Class declaringType)`
`InitializerSignature` `makeInitializerSig(String stringRep)`
`InitializerSignature` `makeInitializerSig(String modifiers, String declaringType)`
`JoinPoint.StaticPart` `makeInitializerSJP(String kind, int modifiers, Class declaringType, int line)`
`static JoinPoint` `makeJP(JoinPoint.StaticPart staticPart, Object _this, Object target)`
`static JoinPoint` `makeJP(JoinPoint.StaticPart staticPart, Object _this, Object target, Object arg0)`
`static JoinPoint` `makeJP(JoinPoint.StaticPart staticPart, Object _this, Object target, Object[] args)`
`static JoinPoint` `makeJP(JoinPoint.StaticPart staticPart, Object _this, Object target, Object arg0, Object arg1)`
`JoinPoint.EnclosingStaticPart` `makeLockESJP(String kind, Class declaringType, int line)`
`LockSignature` `makeLockSig()`
`LockSignature` `makeLockSig(Class declaringType)`
`LockSignature` `makeLockSig(String stringRep)`
`JoinPoint.StaticPart` `makeLockSJP(String kind, Class declaringType, int line)`
`JoinPoint.EnclosingStaticPart` `makeMethodESJP(String kind, int modifiers, String methodName, Class declaringType, Class[] paramTypes, String[] paramNames, Class[] exceptionTypes, Class returnType, int line)`
`MethodSignature` `makeMethodSig(int modifiers, String name, Class declaringType, Class[] parameterTypes, String[] parameterNames, Class[] exceptionTypes, Class returnType)`
`MethodSignature` `makeMethodSig(String stringRep)`
`MethodSignature` `makeMethodSig(String modifiers, String methodName, Class declaringTypeClass, String paramTypes, String paramNames, String exceptionTypes, String returnType)`
`MethodSignature` `makeMethodSig(String modifiers, String methodName, String declaringType, String paramTypes, String paramNames, String exceptionTypes, String returnType)`
`JoinPoint.StaticPart` `makeMethodSJP(String kind, int modifiers, String methodName, Class declaringType, Class[] paramTypes, String[] paramNames, Class[] exceptionTypes, Class returnType, int line)`
`JoinPoint.StaticPart` `makeSJP(String kind, Signature sig, int l)`
`JoinPoint.StaticPart` `makeSJP(String kind, Signature sig, int l, int c)`
`JoinPoint.StaticPart` `makeSJP(String kind, Signature sig, SourceLocation loc)`
`JoinPoint.StaticPart` `makeSJP(String kind, String modifiers, String methodName, String declaringType, String paramTypes, String paramNames, String returnType, int l)`
`JoinPoint.StaticPart` `makeSJP(String kind, String modifiers, String methodName, String declaringType, String paramTypes, String paramNames, String exceptionTypes, String returnType, int l)`
`SourceLocation` `makeSourceLoc(int line, int col)`
`JoinPoint.EnclosingStaticPart` `makeUnlockESJP(String kind, Class declaringType, int line)`
`UnlockSignature` `makeUnlockSig()`
`UnlockSignature` `makeUnlockSig(Class declaringType)`
`UnlockSignature` `makeUnlockSig(String stringRep)`
`JoinPoint.StaticPart` `makeUnlockSJP(String kind, Class declaringType, int line)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory(String filename,
                   Class lexicalClass)

### Method Detail

#### makeSJP

    public JoinPoint.StaticPart makeSJP(String kind,
                                        String modifiers,
                                        String methodName,
                                        String declaringType,
                                        String paramTypes,
                                        String paramNames,
                                        String exceptionTypes,
                                        String returnType,
                                        int l)

#### makeSJP

    public JoinPoint.StaticPart makeSJP(String kind,
                                        String modifiers,
                                        String methodName,
                                        String declaringType,
                                        String paramTypes,
                                        String paramNames,
                                        String returnType,
                                        int l)

#### makeMethodSJP

    public JoinPoint.StaticPart makeMethodSJP(String kind,
                                              int modifiers,
                                              String methodName,
                                              Class declaringType,
                                              Class[] paramTypes,
                                              String[] paramNames,
                                              Class[] exceptionTypes,
                                              Class returnType,
                                              int line)

#### makeMethodESJP

    public JoinPoint.EnclosingStaticPart makeMethodESJP(String kind,
                                                        int modifiers,
                                                        String methodName,
                                                        Class declaringType,
                                                        Class[] paramTypes,
                                                        String[] paramNames,
                                                        Class[] exceptionTypes,
                                                        Class returnType,
                                                        int line)

#### makeConstructorSJP

    public JoinPoint.StaticPart makeConstructorSJP(String kind,
                                                   int modifiers,
                                                   Class declaringType,
                                                   Class[] parameterTypes,
                                                   String[] parameterNames,
                                                   Class[] exceptionTypes,
                                                   int line)

#### makeConstructorESJP

    public JoinPoint.EnclosingStaticPart makeConstructorESJP(String kind,
                                                             int modifiers,
                                                             Class declaringType,
                                                             Class[] parameterTypes,
                                                             String[] parameterNames,
                                                             Class[] exceptionTypes,
                                                             int line)

#### makeCatchClauseSJP

    public JoinPoint.StaticPart makeCatchClauseSJP(String kind,
                                                   Class declaringType,
                                                   Class parameterType,
                                                   String parameterName,
                                                   int line)

#### makeCatchClauseESJP

    public JoinPoint.EnclosingStaticPart makeCatchClauseESJP(String kind,
                                                             Class declaringType,
                                                             Class parameterType,
                                                             String parameterName,
                                                             int line)

#### makeFieldSJP

    public JoinPoint.StaticPart makeFieldSJP(String kind,
                                             int modifiers,
                                             String name,
                                             Class declaringType,
                                             Class fieldType,
                                             int line)

#### makeFieldESJP

    public JoinPoint.EnclosingStaticPart makeFieldESJP(String kind,
                                                       int modifiers,
                                                       String name,
                                                       Class declaringType,
                                                       Class fieldType,
                                                       int line)

#### makeInitializerSJP

    public JoinPoint.StaticPart makeInitializerSJP(String kind,
                                                   int modifiers,
                                                   Class declaringType,
                                                   int line)

#### makeInitializerESJP

    public JoinPoint.EnclosingStaticPart makeInitializerESJP(String kind,
                                                             int modifiers,
                                                             Class declaringType,
                                                             int line)

#### makeLockSJP

    public JoinPoint.StaticPart makeLockSJP(String kind,
                                            Class declaringType,
                                            int line)

#### makeLockESJP

    public JoinPoint.EnclosingStaticPart makeLockESJP(String kind,
                                                      Class declaringType,
                                                      int line)

#### makeUnlockSJP

    public JoinPoint.StaticPart makeUnlockSJP(String kind,
                                              Class declaringType,
                                              int line)

#### makeUnlockESJP

    public JoinPoint.EnclosingStaticPart makeUnlockESJP(String kind,
                                                        Class declaringType,
                                                        int line)

#### makeAdviceSJP

    public JoinPoint.StaticPart makeAdviceSJP(String kind,
                                              int modifiers,
                                              String name,
                                              Class declaringType,
                                              Class[] parameterTypes,
                                              String[] parameterNames,
                                              Class[] exceptionTypes,
                                              Class returnType,
                                              int line)

#### makeAdviceESJP

    public JoinPoint.EnclosingStaticPart makeAdviceESJP(String kind,
                                                        int modifiers,
                                                        String name,
                                                        Class declaringType,
                                                        Class[] parameterTypes,
                                                        String[] parameterNames,
                                                        Class[] exceptionTypes,
                                                        Class returnType,
                                                        int line)

#### makeSJP

    public JoinPoint.StaticPart makeSJP(String kind,
                                        Signature sig,
                                        SourceLocation loc)

#### makeSJP

    public JoinPoint.StaticPart makeSJP(String kind,
                                        Signature sig,
                                        int l,
                                        int c)

#### makeSJP

    public JoinPoint.StaticPart makeSJP(String kind,
                                        Signature sig,
                                        int l)

#### makeESJP

    public JoinPoint.EnclosingStaticPart makeESJP(String kind,
                                                  Signature sig,
                                                  SourceLocation loc)

#### makeESJP

    public JoinPoint.EnclosingStaticPart makeESJP(String kind,
                                                  Signature sig,
                                                  int l,
                                                  int c)

#### makeESJP

    public JoinPoint.EnclosingStaticPart makeESJP(String kind,
                                                  Signature sig,
                                                  int l)

#### makeEncSJP

    public static JoinPoint.StaticPart makeEncSJP(Member member)

#### makeJP

    public static JoinPoint makeJP(JoinPoint.StaticPart staticPart,
                                   Object _this,
                                   Object target)

#### makeJP

    public static JoinPoint makeJP(JoinPoint.StaticPart staticPart,
                                   Object _this,
                                   Object target,
                                   Object arg0)

#### makeJP

    public static JoinPoint makeJP(JoinPoint.StaticPart staticPart,
                                   Object _this,
                                   Object target,
                                   Object arg0,
                                   Object arg1)

#### makeJP

    public static JoinPoint makeJP(JoinPoint.StaticPart staticPart,
                                   Object _this,
                                   Object target,
                                   Object[] args)

#### makeMethodSig

    public MethodSignature makeMethodSig(String stringRep)

#### makeMethodSig

    public MethodSignature makeMethodSig(String modifiers,
                                         String methodName,
                                         String declaringType,
                                         String paramTypes,
                                         String paramNames,
                                         String exceptionTypes,
                                         String returnType)

#### makeMethodSig

    public MethodSignature makeMethodSig(String modifiers,
                                         String methodName,
                                         Class declaringTypeClass,
                                         String paramTypes,
                                         String paramNames,
                                         String exceptionTypes,
                                         String returnType)

#### makeMethodSig

    public MethodSignature makeMethodSig(int modifiers,
                                         String name,
                                         Class declaringType,
                                         Class[] parameterTypes,
                                         String[] parameterNames,
                                         Class[] exceptionTypes,
                                         Class returnType)

#### makeConstructorSig

    public ConstructorSignature makeConstructorSig(String stringRep)

#### makeConstructorSig

    public ConstructorSignature makeConstructorSig(String modifiers,
                                                   String declaringType,
                                                   String paramTypes,
                                                   String paramNames,
                                                   String exceptionTypes)

#### makeConstructorSig

    public ConstructorSignature makeConstructorSig(int modifiers,
                                                   Class declaringType,
                                                   Class[] parameterTypes,
                                                   String[] parameterNames,
                                                   Class[] exceptionTypes)

#### makeFieldSig

    public FieldSignature makeFieldSig(String stringRep)

#### makeFieldSig

    public FieldSignature makeFieldSig(String modifiers,
                                       String name,
                                       String declaringType,
                                       String fieldType)

#### makeFieldSig

    public FieldSignature makeFieldSig(int modifiers,
                                       String name,
                                       Class declaringType,
                                       Class fieldType)

#### makeAdviceSig

    public AdviceSignature makeAdviceSig(String stringRep)

#### makeAdviceSig

    public AdviceSignature makeAdviceSig(String modifiers,
                                         String name,
                                         String declaringType,
                                         String paramTypes,
                                         String paramNames,
                                         String exceptionTypes,
                                         String returnType)

#### makeAdviceSig

    public AdviceSignature makeAdviceSig(int modifiers,
                                         String name,
                                         Class declaringType,
                                         Class[] parameterTypes,
                                         String[] parameterNames,
                                         Class[] exceptionTypes,
                                         Class returnType)

#### makeInitializerSig

    public InitializerSignature makeInitializerSig(String stringRep)

#### makeInitializerSig

    public InitializerSignature makeInitializerSig(String modifiers,
                                                   String declaringType)

#### makeInitializerSig

    public InitializerSignature makeInitializerSig(int modifiers,
                                                   Class declaringType)

#### makeCatchClauseSig

    public CatchClauseSignature makeCatchClauseSig(String stringRep)

#### makeCatchClauseSig

    public CatchClauseSignature makeCatchClauseSig(String declaringType,
                                                   String parameterType,
                                                   String parameterName)

#### makeCatchClauseSig

    public CatchClauseSignature makeCatchClauseSig(Class declaringType,
                                                   Class parameterType,
                                                   String parameterName)

#### makeLockSig

    public LockSignature makeLockSig(String stringRep)

#### makeLockSig

    public LockSignature makeLockSig()

#### makeLockSig

    public LockSignature makeLockSig(Class declaringType)

#### makeUnlockSig

    public UnlockSignature makeUnlockSig(String stringRep)

#### makeUnlockSig

    public UnlockSignature makeUnlockSig()

#### makeUnlockSig

    public UnlockSignature makeUnlockSig(Class declaringType)

#### makeSourceLoc

    public SourceLocation makeSourceLoc(int line,
                                        int col)